Subject: Re: ($shell cd) result different if including cygwin/bin directory in path
From: Omar BELKHODJA <[email-masked]>
To: Dave Korn <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Apr 2006 16:25:49 +0200

Sorry Dave, but I don't understand which command you are talking about.
Are  talking about 'cd' ? I don't see any 'cd' command in the cygwin/bin
directory. If there was a 'cd' comand in the cygwin/bin directory, when
I type 'cd' directly from the DOS command prompt, I should have the same
empty string that I have from the ($shell cd), but this is not the case.

Best regards,
Omar

Dave Korn wrote:
> 
> On 11 April 2006 13:27, Omar BELKHODJA wrote:
> 
> > It is true, that this is a third-party tool(the gnu make), but it seems
> > that it is not really strange to the cygwin environment, as the fact of
> > adding the cygwin/bin directory changes the behaviour of this tool.
> 
>   No, it's your fault.  Don't you understand what the PATH variable does?  You
> want make to execute a command, and you have put a different file with the
> same name as that command in your PATH.  What were you expecting to happen?
> 
>     cheers,
>       DaveK
> --
> Can't think of a witty .sigline today....
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/